diff --git a/README b/README
index bf6e674..d66f6cd 100644
--- a/README
+++ b/README
@@ -3518,7 +3518,7 @@ FIT uImage format:
 		CONFIG_SPL_I2C_SUPPORT
 		Support for drivers/i2c/libi2c.o in SPL binary
 
-		CONFIG_SPL_GPIO_SUPPORT
+		CONFIG_SPL_GPIO
 		Support for drivers/gpio/libgpio.o in SPL binary
 
 		CONFIG_SPL_MMC_SUPPORT
diff --git a/doc/README.SPL b/doc/README.SPL
index c4b3f02..3ba564a 100644
--- a/doc/README.SPL
+++ b/doc/README.SPL
@@ -48,7 +48,7 @@ are supported:
 CONFIG_SPL_LIBCOMMON_SUPPORT (common/libcommon.o)
 CONFIG_SPL_LIBDISK_SUPPORT (disk/libdisk.o)
 CONFIG_SPL_I2C_SUPPORT (drivers/i2c/libi2c.o)
-CONFIG_SPL_GPIO_SUPPORT (drivers/gpio/libgpio.o)
+CONFIG_SPL_GPIO (drivers/gpio/libgpio.o)
 CONFIG_SPL_MMC_SUPPORT (drivers/mmc/libmmc.o)
 CONFIG_SPL_SERIAL (drivers/serial/libserial.o)
 CONFIG_SPL_SPI_FLASH_SUPPORT (drivers/mtd/spi/libspi_flash.o)
diff --git a/drivers/Makefile b/drivers/Makefile
index b4748cb..ea116db 100644
--- a/drivers/Makefile
+++ b/drivers/Makefile
@@ -12,7 +12,7 @@ ifdef CONFIG_SPL_BUILD
 
 obj-$(CONFIG_SPL_CRYPTO_SUPPORT) += crypto/
 obj-$(CONFIG_SPL_I2C_SUPPORT) += i2c/
-obj-$(CONFIG_SPL_GPIO_SUPPORT) += gpio/
+obj-$(CONFIG_SPL_GPIO) += gpio/
 obj-$(CONFIG_SPL_MMC_SUPPORT) += mmc/
 obj-$(CONFIG_SPL_MPC8XXX_INIT_DDR_SUPPORT) += ddr/fsl/
 obj-$(CONFIG_ARMADA_38X) += ddr/marvell/a38x/
diff --git a/drivers/mmc/omap_hsmmc.c b/drivers/mmc/omap_hsmmc.c
index fceafe1..d6f97cd 100644
--- a/drivers/mmc/omap_hsmmc.c
+++ b/drivers/mmc/omap_hsmmc.c
@@ -43,7 +43,7 @@ DECLARE_GLOBAL_DATA_PTR;
 
 /* simplify defines to OMAP_HSMMC_USE_GPIO */
 #if (defined(CONFIG_OMAP_GPIO) && !defined(CONFIG_SPL_BUILD)) || \
-	(defined(CONFIG_SPL_BUILD) && defined(CONFIG_SPL_GPIO_SUPPORT))
+	(defined(CONFIG_SPL_BUILD) && defined(CONFIG_SPL_GPIO))
 #define OMAP_HSMMC_USE_GPIO
 #else
 #undef OMAP_HSMMC_USE_GPIO
diff --git a/include/configs/at91sam9m10g45ek.h b/include/configs/at91sam9m10g45ek.h
index 6531789..3f2bfab 100644
--- a/include/configs/at91sam9m10g45ek.h
+++ b/include/configs/at91sam9m10g45ek.h
@@ -189,7 +189,7 @@
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 
 #define CONFIG_SYS_MONITOR_LEN		0x80000
 
diff --git a/include/configs/at91sam9n12ek.h b/include/configs/at91sam9n12ek.h
index a881cb4..70caadc 100644
--- a/include/configs/at91sam9n12ek.h
+++ b/include/configs/at91sam9n12ek.h
@@ -232,7 +232,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/at91sam9x5ek.h b/include/configs/at91sam9x5ek.h
index 6bb240c..239b984 100644
--- a/include/configs/at91sam9x5ek.h
+++ b/include/configs/at91sam9x5ek.h
@@ -232,7 +232,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/brppt1.h b/include/configs/brppt1.h
index 6a239b5..694fcc1 100644
--- a/include/configs/brppt1.h
+++ b/include/configs/brppt1.h
@@ -26,7 +26,7 @@
 #define CONFIG_OMAP_WATCHDOG
 #define CONFIG_SPL_WATCHDOG_SUPPORT
 
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 /* Bootcount using the RTC block */
 #define CONFIG_SYS_BOOTCOUNT_ADDR	0x44E3E000
 #define CONFIG_BOOTCOUNT_LIMIT
diff --git a/include/configs/brxre1.h b/include/configs/brxre1.h
index 11f56bf..8b0918e 100644
--- a/include/configs/brxre1.h
+++ b/include/configs/brxre1.h
@@ -42,7 +42,7 @@
 #define CONFIG_SYS_OMAP24_I2C_SPEED_PSOC	20000
 
 /* GPIO */
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 
 /* MMC/SD IP block */
 #define CONFIG_MMC
diff --git a/include/configs/chromebook_jerry.h b/include/configs/chromebook_jerry.h
index d1f5b46..d998f12 100644
--- a/include/configs/chromebook_jerry.h
+++ b/include/configs/chromebook_jerry.h
@@ -22,7 +22,7 @@
 
 #define CONFIG_CMD_SF_TEST
 
-#undef CONFIG_SPL_GPIO_SUPPORT
+#undef CONFIG_SPL_GPIO
 
 #define CONFIG_KEYBOARD
 
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index 5926f84..3d1ec0c 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -317,7 +317,7 @@
 #define CONFIG_SPL_NAND_BASE
 #define CONFIG_SPL_NAND_DRIVERS
 #define CONFIG_SPL_NAND_ECC
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_POWER_SUPPORT
 #define CONFIG_SPL_OMAP3_ID_NAND
 #define CONFIG_SPL_LDSCRIPT		"$(CPUDIR)/omap-common/u-boot-spl.lds"
diff --git a/include/configs/cm_t43.h b/include/configs/cm_t43.h
index 45fa37a..f57bbdb 100644
--- a/include/configs/cm_t43.h
+++ b/include/configs/cm_t43.h
@@ -91,7 +91,7 @@
 
 #include <configs/ti_armv7_omap.h>
 #undef CONFIG_SPL_OS_BOOT
-#undef CONFIG_SPL_GPIO_SUPPORT
+#undef CONFIG_SPL_GPIO
 #undef CONFIG_SPL_NAND_SUPPORT
 #undef CONFIG_SYS_MONITOR_LEN
 #undef CONFIG_SYS_MMCSD_RAW_MODE_U_BOOT_SECTOR
diff --git a/include/configs/corvus.h b/include/configs/corvus.h
index 16f71e8..2ba896b 100644
--- a/include/configs/corvus.h
+++ b/include/configs/corvus.h
@@ -165,7 +165,7 @@
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_NAND_SUPPORT
 #define CONFIG_SPL_NAND_DRIVERS
 #define CONFIG_SPL_NAND_BASE
diff --git a/include/configs/exynos5-common.h b/include/configs/exynos5-common.h
index 421002d..0252ad0 100644
--- a/include/configs/exynos5-common.h
+++ b/include/configs/exynos5-common.h
@@ -58,7 +58,7 @@
 #define CONFIG_SUPPORT_EMMC_BOOT
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 
 /* specific .lds file */
diff --git a/include/configs/imx6_spl.h b/include/configs/imx6_spl.h
index 89a9a49..2246501 100644
--- a/include/configs/imx6_spl.h
+++ b/include/configs/imx6_spl.h
@@ -33,7 +33,7 @@
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
 #define CONFIG_SPL_I2C_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_WATCHDOG_SUPPORT
 
 /* NAND support */
diff --git a/include/configs/ipam390.h b/include/configs/ipam390.h
index db0e65f..3793288 100644
--- a/include/configs/ipam390.h
+++ b/include/configs/ipam390.h
@@ -309,7 +309,7 @@
 #define CONFIG_CMD_SPL_WRITE_SIZE	0x400
 
 /* GPIO support */
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_DA8XX_GPIO
 #define CONFIG_IPAM390_GPIO_BOOTMODE	((16 * 7) + 14)
 
diff --git a/include/configs/kc1.h b/include/configs/kc1.h
index 6b1e72f..6ba7f9e 100644
--- a/include/configs/kc1.h
+++ b/include/configs/kc1.h
@@ -134,7 +134,7 @@
 #define CONFIG_SPL_LIBDISK_SUPPORT
 #define CONFIG_SPL_SERIAL
 #define CONFIG_SPL_POWER_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_I2C_SUPPORT
 #define CONFIG_SPL_MMC_SUPPORT
 
diff --git a/include/configs/m53evk.h b/include/configs/m53evk.h
index 7059023..52b3792 100644
--- a/include/configs/m53evk.h
+++ b/include/configs/m53evk.h
@@ -239,7 +239,7 @@
 #define CONFIG_SPL_TEXT_BASE		0x70008000
 #define CONFIG_SPL_PAD_TO		0x8000
 #define CONFIG_SPL_STACK		0x70004000
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_NAND_SUPPORT
diff --git a/include/configs/ma5d4evk.h b/include/configs/ma5d4evk.h
index b4ad62f..43d458b 100644
--- a/include/configs/ma5d4evk.h
+++ b/include/configs/ma5d4evk.h
@@ -218,7 +218,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/mxs.h b/include/configs/mxs.h
index 70f4457..59b3e69 100644
--- a/include/configs/mxs.h
+++ b/include/configs/mxs.h
@@ -52,7 +52,7 @@
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 
 /* Memory sizes */
 #define CONFIG_SYS_MALLOC_LEN		0x00400000	/* 4 MB for malloc */
diff --git a/include/configs/picosam9g45.h b/include/configs/picosam9g45.h
index f911bbc..6bf5bb3 100644
--- a/include/configs/picosam9g45.h
+++ b/include/configs/picosam9g45.h
@@ -166,7 +166,7 @@
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_WATCHDOG_SUPPORT
 
 #define CONFIG_SYS_MONITOR_LEN		0x80000
diff --git a/include/configs/sama5d2_ptc.h b/include/configs/sama5d2_ptc.h
index 517a4d6..4649e11 100644
--- a/include/configs/sama5d2_ptc.h
+++ b/include/configs/sama5d2_ptc.h
@@ -123,7 +123,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/sama5d2_xplained.h b/include/configs/sama5d2_xplained.h
index d45af43..2ae6c85 100644
--- a/include/configs/sama5d2_xplained.h
+++ b/include/configs/sama5d2_xplained.h
@@ -127,7 +127,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/sama5d3_xplained.h b/include/configs/sama5d3_xplained.h
index ca14128..4ff1c1f 100644
--- a/include/configs/sama5d3_xplained.h
+++ b/include/configs/sama5d3_xplained.h
@@ -126,7 +126,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/sama5d3xek.h b/include/configs/sama5d3xek.h
index 236560e..4c2a4a2 100644
--- a/include/configs/sama5d3xek.h
+++ b/include/configs/sama5d3xek.h
@@ -166,7 +166,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/sama5d4_xplained.h b/include/configs/sama5d4_xplained.h
index 468daa6..d891cd3 100644
--- a/include/configs/sama5d4_xplained.h
+++ b/include/configs/sama5d4_xplained.h
@@ -126,7 +126,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/sama5d4ek.h b/include/configs/sama5d4ek.h
index 4872315..4e85689 100644
--- a/include/configs/sama5d4ek.h
+++ b/include/configs/sama5d4ek.h
@@ -124,7 +124,7 @@
 
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
diff --git a/include/configs/siemens-am33x-common.h b/include/configs/siemens-am33x-common.h
index 068a743..1f6bff6 100644
--- a/include/configs/siemens-am33x-common.h
+++ b/include/configs/siemens-am33x-common.h
@@ -144,7 +144,7 @@
 #define CONFIG_SPL_SERIAL
 #define CONFIG_SPL_YMODEM_SUPPORT
 
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_WATCHDOG_SUPPORT
 
 #define CONFIG_SPL_SPI_SUPPORT
diff --git a/include/configs/smartweb.h b/include/configs/smartweb.h
index 8ad8f24..87f45f2 100644
--- a/include/configs/smartweb.h
+++ b/include/configs/smartweb.h
@@ -243,7 +243,7 @@
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 
 #define CONFIG_SPL_BOARD_INIT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SYS_NAND_ENABLE_PIN_SPL	(2*32 + 14)
 #define CONFIG_SPL_NAND_SUPPORT
 #define CONFIG_SYS_USE_NANDFLASH	1
diff --git a/include/configs/sniper.h b/include/configs/sniper.h
index b060366..05e9603 100644
--- a/include/configs/sniper.h
+++ b/include/configs/sniper.h
@@ -142,7 +142,7 @@
 #define CONFIG_SPL_LIBDISK_SUPPORT
 #define CONFIG_SPL_SERIAL
 #define CONFIG_SPL_POWER_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_I2C_SUPPORT
 #define CONFIG_SPL_MMC_SUPPORT
 #define CONFIG_SPL_FAT_SUPPORT
diff --git a/include/configs/sunxi-common.h b/include/configs/sunxi-common.h
index ff7d5ae..717c837 100644
--- a/include/configs/sunxi-common.h
+++ b/include/configs/sunxi-common.h
@@ -293,7 +293,7 @@ extern int soft_i2c_gpio_scl;
 
 /* GPIO */
 #define CONFIG_SUNXI_GPIO
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 
 #ifdef CONFIG_VIDEO
 /*
diff --git a/include/configs/tam3517-common.h b/include/configs/tam3517-common.h
index 53d556c..196c873 100644
--- a/include/configs/tam3517-common.h
+++ b/include/configs/tam3517-common.h
@@ -208,7 +208,7 @@
 #define CONFIG_SPL_FAT_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_POWER_SUPPORT
 #define CONFIG_SPL_NAND_SUPPORT
 #define CONFIG_SPL_NAND_BASE
diff --git a/include/configs/tao3530.h b/include/configs/tao3530.h
index 8768d74..a0a5c03 100644
--- a/include/configs/tao3530.h
+++ b/include/configs/tao3530.h
@@ -299,7 +299,7 @@
 #define CONFIG_SPL_NAND_BASE
 #define CONFIG_SPL_NAND_DRIVERS
 #define CONFIG_SPL_NAND_ECC
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_POWER_SUPPORT
 #define CONFIG_SPL_OMAP3_ID_NAND
 #define CONFIG_SPL_LDSCRIPT		"$(CPUDIR)/omap-common/u-boot-spl.lds"
diff --git a/include/configs/taurus.h b/include/configs/taurus.h
index 215e388..2b90425 100644
--- a/include/configs/taurus.h
+++ b/include/configs/taurus.h
@@ -263,7 +263,7 @@
 #define CONFIG_SPL_SERIAL
 
 #define CONFIG_SPL_BOARD_INIT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SYS_NAND_ENABLE_PIN_SPL	(2*32 + 14)
 #define CONFIG_SPL_NAND_SUPPORT
 #define CONFIG_SYS_USE_NANDFLASH	1
diff --git a/include/configs/tegra-common.h b/include/configs/tegra-common.h
index 1338f48..3e08776 100644
--- a/include/configs/tegra-common.h
+++ b/include/configs/tegra-common.h
@@ -125,7 +125,7 @@
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 
 #define CONFIG_BOARD_EARLY_INIT_F
 #define CONFIG_BOARD_LATE_INIT
diff --git a/include/configs/ti814x_evm.h b/include/configs/ti814x_evm.h
index d0641e4..290567a 100644
--- a/include/configs/ti814x_evm.h
+++ b/include/configs/ti814x_evm.h
@@ -173,7 +173,7 @@
 #define CONFIG_SPL_LIBDISK_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_YMODEM_SUPPORT
 #define CONFIG_SYS_SPI_U_BOOT_OFFS	0x20000
 #define CONFIG_SYS_SPI_U_BOOT_SIZE	0x40000
diff --git a/include/configs/ti816x_evm.h b/include/configs/ti816x_evm.h
index 6d20760..2f5f182 100644
--- a/include/configs/ti816x_evm.h
+++ b/include/configs/ti816x_evm.h
@@ -139,7 +139,7 @@
 #define CONFIG_SPL_LIBDISK_SUPPORT
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_YMODEM_SUPPORT
 #define CONFIG_SYS_SPI_U_BOOT_OFFS  0x20000
 #define CONFIG_SYS_SPI_U_BOOT_SIZE  0x40000
diff --git a/include/configs/ti_armv7_common.h b/include/configs/ti_armv7_common.h
index 11953bb..47ff9f3 100644
--- a/include/configs/ti_armv7_common.h
+++ b/include/configs/ti_armv7_common.h
@@ -275,7 +275,7 @@
 #define CONFIG_SPL_LIBGENERIC_SUPPORT
 #define CONFIG_SPL_SERIAL
 #define CONFIG_SPL_POWER_SUPPORT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_BOARD_INIT
 
 #ifdef CONFIG_NAND
diff --git a/include/configs/ti_armv7_keystone2.h b/include/configs/ti_armv7_keystone2.h
index c8df48a..e5dad39 100644
--- a/include/configs/ti_armv7_keystone2.h
+++ b/include/configs/ti_armv7_keystone2.h
@@ -315,7 +315,7 @@
 #undef CONFIG_GENERIC_MMC
 
 /* And no support for GPIO, yet.. */
-#undef CONFIG_SPL_GPIO_SUPPORT
+#undef CONFIG_SPL_GPIO
 
 /* we may include files below only after all above definitions */
 #include <asm/arch/hardware.h>
diff --git a/include/configs/tricorder.h b/include/configs/tricorder.h
index f303855..4baf554 100644
--- a/include/configs/tricorder.h
+++ b/include/configs/tricorder.h
@@ -319,7 +319,7 @@
 #define CONFIG_SPL_NAND_SIMPLE
 
 #define CONFIG_SPL_BOARD_INIT
-#define CONFIG_SPL_GPIO_SUPPORT
+#define CONFIG_SPL_GPIO
 #define CONFIG_SPL_LIBCOMMON_SUPPORT
 #define CONFIG_SPL_LIBDISK_SUPPORT
 #define CONFIG_SPL_I2C_SUPPORT
diff --git a/include/configs/woodburn_sd.h b/include/configs/woodburn_sd.h
index 78c284a..6ef7ce2 100644
--- a/include/configs/woodburn_sd.h
+++ b/include/configs/woodburn_sd.h
@@ -30,7 +30,7 @@
 #define CONFIG_SPL_BOARD_INIT
 #define CONFIG_SYS_MMCSD_RAW_MODE_U_BOOT_SECTOR	0x100 /* address 0x60000 */
 #define CONFIG_SYS_U_BOOT_MAX_SIZE_SECTORS	0x400 /* 512 KB */
-#define	CONFIG_SPL_GPIO_SUPPORT
+#define	CONFIG_SPL_GPIO
 
 #define CONFIG_SPL_TEXT_BASE		0x10002300
 #define CONFIG_SPL_MAX_SIZE		(64 * 1024)	/* 8 KB for stack */